Bug 11705 - Perl module man pages all go to ../man/usr/
Summary: Perl module man pages all go to ../man/usr/
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: perl   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-27 13:06 UTC by Nick Urbanik
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-27 13:06:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nick Urbanik 2000-05-27 13:06:55 UTC
All man pages for modules get installed in /usr/lib/perl5/man/usr/, or
/usr/man/usr/ or .../man/usr/.  This is true whether using perl -MCPAN -e
shell or installing manually with perl Makefile.PL;make;make test;make
install.

The Makefile built by perl Makefile.PL contains
PREFIX = /usr
and also
INSTALLMAN1DIR = /usr/man/$(PREFIX)
and
INSTALLMAN3DIR = $(PREFIX)/lib/perl5/man/$(PREFIX)
However, when I type perl '-V:install.*'
I get:
installarchlib='/usr/lib/perl5/5.6.0/i386-linux'
installprivlib='/usr/lib/perl5/5.6.0'
installbin='/usr/bin'
installman1dir='/usr/man/man1'
installman3dir='/usr/lib/perl5/man/man3'
installprefix='/usr'
installprefixexp='/usr'
installscript='/usr/bin'
installsitearch='/usr/lib/perl5/site_perl/5.6.0/i386-linux'
installsitebin='/usr/bin'
installsitelib='/usr/lib/perl5/site_perl/5.6.0'
installstyle='lib/perl5'
installusrbinperl='undef'
installvendorarch=''
installvendorbin=''
installvendorlib=''

Details of installation:
Red Hat 6.2 with all updates
Did rpm --rebuild perl-5.6.0-1.src.rpm
then
rpm -Uhv --nodeps --force perl-5.6.0-1.i386.rpm

This makes perl difficult to use.

Comment 1 Nalin Dahyabhai 2000-07-03 09:16:45 UTC
This was resolved in perl-5.6.0-2.


Note You need to log in before you can comment on or make changes to this bug.